<ion-header class="list">
  <ion-navbar class="list2">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title text-center>
      <ion-grid>

            <ion-row>

              <ion-col text-center>
                {{title}}
              </ion-col>

              <ion-col col-auto>
                <ion-icon name="close" md="md-close" (click)="change_screen()" text-right></ion-icon>
              </ion-col>
            </ion-row>

            <ion-row text-center>
              <ion-col text-center>
                ({{date}})
              </ion-col>
            </ion-row>
          
      </ion-grid>

    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="content_general">
  <br>
  <ion-item>
    <ion-grid>
      <ion-row>

        <ion-col text-center>
          {{freeSeat}} <br>
          <img src="./assets/img/seat_disponivel.png" class="img_seats" />
        </ion-col>

        <ion-col text-center>
          {{preferentialSeat}} <br>
          <img src="./assets/img/seat_especial.png" class="img_seats" />
        </ion-col>

        <ion-col text-center>
          {{busySeat}} <br>
          <img src="./assets/img/seat_ocupado.png" class="img_seats" />
        </ion-col>

      </ion-row>
    </ion-grid>
  </ion-item>
<div>
  <ion-item>
    <ion-grid>
      <ion-row>
        <ion-col col-auto text-left>
          <!-- <ion-card class="card-seats">
            <ion-card-header text-center> -->
              {{driverSeat}} <br>
          <!--  </ion-card-header>
            <ion-card-content text-center> -->
              <img src="./assets/img/seat.png" class="img_seats" />
          <!--  </ion-card-content>
          </ion-card> -->
        </ion-col>
      </ion-row>

      <div *ngFor="let seat of seats; let i = index">
        <ion-row *ngIf=" i % 4 === 0 " class="card-seats-row-col" >
          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seat)">
          <!--  <ion-card class="card-seats"> -->
          <!--    <ion-card-header text-center> -->

                {{seat.get_nome()}} <br>
          <!--    </ion-card-header> -->
          <!--    <ion-card-content text-center> -->
                <img *ngIf="seat.get_preferencial() && seat.get_ocupado() != true" src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seat.get_ocupado()" src="./assets/img/seat_ocupado.png" class="img_seats" />
                <img *ngIf="seat.get_ocupado() != true && seat.get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />

          <!--    </ion-card-content>
          </ion-card> -->
          </ion-col>

          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seats[i+1])">
          <!--  <ion-card class="card-seats">
              <ion-card-header text-center> -->
                {{seats[i+1].get_nome()}} <br>
            <!--  </ion-card-header>
              <ion-card-content text-center> -->
                <img *ngIf="seats[i+1].get_preferencial() && seats[i+1].get_ocupado() != true" src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seats[i+1].get_ocupado()" src="./assets/img/seat_ocupado.png" class="img_seats" />
                <img *ngIf="seats[i+1].get_ocupado() != true && seats[i+1].get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />
            <!--  </ion-card-content>
            </ion-card> -->
          </ion-col>
          <ion-col class="card-seats-row-col">
          </ion-col>
          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seats[i+2])">
          <!--  <ion-card class="card-seats">
              <ion-card-header text-center> -->
                {{seats[i+2].get_nome()}} <br>
            <!--  </ion-card-header>
              <ion-card-content text-center> -->
                <img *ngIf="seats[i+2].get_preferencial() && seats[i+2].get_ocupado() != true" src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seats[i+2].get_ocupado()" src="./assets/img/seat_ocupado.png" class="img_seats" />
                <img *ngIf="seats[i+2].get_ocupado() != true && seats[i+2].get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />
            <!--  </ion-card-content>
            </ion-card> -->
          </ion-col>

          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seats[i+3])">
            <!-- <ion-card class="card-seats">
              <ion-card-header text-center> -->
                {{seats[i+3].get_nome()}} <br>
            <!--  </ion-card-header>
              <ion-card-content text-center> -->
                <img *ngIf="seats[i+3].get_preferencial() && seats[i+3].get_ocupado() != true" src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seats[i+3].get_ocupado()" src="./assets/img/seat_ocupado.png" class="img_seats" />
                <img *ngIf="seats[i+3].get_ocupado() != true && seats[i+3].get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />
            <!--  </ion-card-content>
            </ion-card> -->
          </ion-col>
        </ion-row>
      </div>
    </ion-grid>
  </ion-item>


</div>

</ion-content>
